Package org.eclipse.lemminx.utils

## Class URIUtils

- java.lang.Object
- - org.eclipse.lemminx.utils.URIUtils

    public class URIUtils
    extends Object

URIUtils

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isFileResource​(String resourceURI)` Returns `true` if the given URL is a file resource, `false` otherwise.
`static String` `sanitizingUri​(String uri)` Returns a well folder URI which ends with '/' according the URI specification https://tools.ietf.org/html/rfc3986#section-6 which is used with Xerces XMLEntityManager#expandSystemId

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isFileResource

    public static boolean isFileResource​(String resourceURI)

Returns `true` if the given URL is a file resource, `false` otherwise.

Parameters:
  `resourceURI` -
Returns:
  `true` if the given URL is a file resource, false otherwise.

#### sanitizingUri

    public static String sanitizingUri​(String uri)

Returns a well folder URI which ends with '/' according the URI specification https://tools.ietf.org/html/rfc3986#section-6 which is used with Xerces XMLEntityManager#expandSystemId

Parameters:
  `uri` -
Returns:
  a well folder URI which ends with '/'